#
# spec file for package python3-Genshi
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-Genshi
Version:        0.7
Release:        4.1
Url:            http://genshi.edgewall.org/
Summary:        A toolkit for generation of output for the web
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://ftp.edgewall.com/pub/genshi/Genshi-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-Babel
BuildRequires:  python3-setuptools
BuildRequires:  python3-xml
Requires:       python3-xml
Requires:       python3-Babel
Provides:       python3-genshi = %{version}
Obsoletes:      python3-genshi < %{version}

%description
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or
other textual content for output generation on the web. The major
feature is a template language, which is heavily inspired by Kid.

%package doc

Summary:        A toolkit for generation of output for the web - Documentation
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description doc
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or
other textual content for output generation on the web. The major
feature is a template language, which is heavily inspired by Kid.

This package contains documentation and examples.

%prep
%setup -q -n Genshi-%{version}
sed -i "1d" examples/{basic/run,basic/kidrun,tutorial/geddit/controller}.py # Fix non-excutable bits

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README.txt
%{python3_sitearch}/genshi/
%{python3_sitearch}/Genshi-%{version}-py*.egg-info

%files doc
%defattr(-,root,root,-)
%doc doc examples

%changelog
* Tue Oct 22 2013 toddrme2178@gmail.com
- Update to 0.7
  * Add support for Python 3.1, 3.2 and 3.3 (via 2to3) and for PyPy. The
  majority of the coding was done in a sprint run by the Cape Town Python
  Users Group with financial assistance from the Python Software Foundation.
  * Default input and output encodings changed from UTF-8 to None (i.e. unicode
  strings).
  * Skip Mako benchmarks if Mako isn't installed (rather than failing
  completely).
- Update to 0.6.1
  * Security fix to enhance sanitizing of CSS in style attributes. Genshi's
  `HTMLSanitizer` disallows style attributes by default (this remains
  unchanged) and warns against such attacks in its documentation, but
  the provided CSS santizing is now less lacking (see #455).
  * Fix for error in how `HTMLFormFiller` would handle `textarea` elements if
  no value was not supplied form them.
  * The `HTMLFormFiller` now correctly handles check boxes and radio buttons
  with an empty `value` attribute.
  * Template `Context` objects now have a `.copy` method.
  * Added a simple `tox.ini` file for using tox to test against multiple
  verions of Python.
  * Fix for bug in `QName` comparison (see #413).
  * Fix for bug in handling of trailing events in match template matches
  (see #399).
  * Fix i18n namespace declaration in documentation (see #400).
  * Fix for bug in caching of events in serializers by no longer caching
  `(TEXT, Markup)` events (see #429).
  * Fix handling of `None` by `Markup.escape` in `_speedups.c` (see #439).
  * Fix handling of internal state by match templates (relevant when multiple
  templates match the same part of the stream, see #370).
  * Fix handling of multiple events between or on either side of start and end
  tags in translated messages (see #404).
  * Fix test failures caused by changes in HTMLParser in Python 2.7 (see #501).
  * Fix infinite loop in interplotation lexing that was introduced by a change
  in Python 2.7's tokenizer (see #540).
  * Fix handling of processing instructions without data (see #368).
  * Updated MANIFEST.in so as not to rely on build from Subersion 1.6.
- Add python 3 version
* Thu Sep  1 2011 saschpe@suse.de
- Renamed to python-Genshi (from python-Genshi)
- Changed license to BSD-3-Clause (SPDX style) from BSD3c
- Fixed doc-file-dependency rpmlint issue
* Thu Mar  3 2011 saschpe@suse.de
- Spec file cleanup
  * Proper SUSE changes file and removed changelog from spec
  * Added proper license header
  * Package files COPYING, README.txt and docs and examples
- Split of documentation package
* Sun Apr 25 2010 bitdealer@gmail.com
- Updated to 0.6
* Mon Aug  4 2008 dannoritzer@web.de
- Updated to 0.5.1
* Thu Feb 28 2008 dannoritzer@web.de
- Fixed build errors
- Updated to 0.4.4
* Mon Oct 15 2007 nix@opensuse.org
- Clean up spec file and change name to python-geneshi
* Sun Jul 22 2007 dannoritzer@web.de
- Initial package
